XML Parser

This will read our XML file and convert it into variables for us to parse.

package | phpLDAPadmin
subpackage | XML

### Methods

## parseXML()

    parseXML($strInputXML, $filename)

### Parameters

#### $strInputXML

#### $filename

## This function will parse an XML array and make a normal array.

    cleanXML($details) : array

### Parameters

#### $details

### Returns

`array`- Clean XML data

## pop_pos()

    pop_pos()

## push_pos()

    push_pos($pos)

### Parameters

#### $pos

## tagClosed()

    tagClosed($parser, $name)

### Parameters

#### $parser

#### $name

## tagData()

    tagData($parser, $tagData)

### Parameters

#### $parser

#### $tagData

## tagOpen()

    tagOpen($parser, $name, $attrs)

### Parameters

#### $parser

#### $name

#### $attrs

### Properties

## $arrOutput

    $arrOutput

## $resParser

    $resParser

## $stack

    $stack

## $stack_ref

    $stack_ref

## $strXmlData

    $strXmlData